# Class PrefixedSealedAndSignedMessage

#### Hierarchy

- unknown
  - PrefixedSealedAndSignedMessage

- Defined in src/protobuf/pb_pb.d.ts:977
- Defined in src/protobuf/pb_pb.d.ts:1004

#####
Index

### Constructors

constructor

### Methods

clearNodeAddress
clearSealedAndSigned
getAddressPrefixHash
getAddressPrefixHash_asB64
getAddressPrefixHash_asU8
getNodeAddress
getSealedAndSigned
getUid
hasNodeAddress
hasSealedAndSigned
serializeBinary
setAddressPrefixHash
setNodeAddress
setSealedAndSigned
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PrefixedSealedAndSignedMessage(): PrefixedSealedAndSignedMessage

- #### Returns PrefixedSealedAndSignedMessage

  Inherited from jspb.Message.constructor

## Methods

### clearNodeAddress

- clearNodeAddress(): PrefixedSealedAndSignedMessage

- #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:981

### clearSealedAndSigned

- clearSealedAndSigned(): PrefixedSealedAndSignedMessage

- #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:986

### getAddressPrefixHash

- getAddressPrefixHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:988

### getAddressPrefixHash_asB64

- getAddressPrefixHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:990

### getAddressPrefixHash_asU8

- getAddressPrefixHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:989

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:978

### getSealedAndSigned

- getSealedAndSigned(): undefined | SealedAndSigned

- #### Returns undefined | SealedAndSigned

  - Defined in src/protobuf/pb_pb.d.ts:983

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:993

### hasNodeAddress

- hasNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:980

### hasSealedAndSigned

- hasSealedAndSigned(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:985

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:996

### setAddressPrefixHash

- setAddressPrefixHash(value: string | Uint8Array): PrefixedSealedAndSignedMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:991

### setNodeAddress

- setNodeAddress(value?: NodeAddress): PrefixedSealedAndSignedMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:979

### setSealedAndSigned

- setSealedAndSigned(value?: SealedAndSigned): PrefixedSealedAndSignedMessage

- #### Parameters

  - ##### `Optional` value: SealedAndSigned

  #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:984

### setUid

- setUid(value: string): PrefixedSealedAndSignedMessage

- #### Parameters

  - ##### value: string

  #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:994

### toObject

- toObject(includeInstance?: boolean): PrefixedSealedAndSignedMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PrefixedSealedAndSignedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:997

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PrefixedSealedAndSignedMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1000

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PrefixedSealedAndSignedMessage, reader: BinaryReader): PrefixedSealedAndSignedMessage

- #### Parameters

  - ##### message: PrefixedSealedAndSignedMessage

  - ##### reader: BinaryReader

  #### Returns PrefixedSealedAndSignedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1001

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PrefixedSealedAndSignedMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PrefixedSealedAndSignedMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:999

### `Static` toObject

- toObject(includeInstance: boolean, msg: PrefixedSealedAndSignedMessage): PrefixedSealedAndSignedMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PrefixedSealedAndSignedMessage

  #### Returns PrefixedSealedAndSignedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:998

Generated using TypeDoc